[Overview][Constants][Procedures and functions][Index] | Reference for unit 'dateutils' (#rtl)

# EncodeDateDay

Encodes a year and day of year to a DateTime value

## Declaration

Source position: dateutil.inc line 321

`function EncodeDateDay(`
`const AYear: Word;`
`const ADayOfYear: Word`
`):TDateTime;`

## Arguments

`AYear` |  | Year part.
`ADayOfYear` |  | Day of the year part

## Function result

DateTime value representing the date specified by AYear and ADayOfYear.

## Description

EncodeDateDay encodes the values AYear and ADayOfYear to a date value and returns this value.

For an example, see DecodeDateDay.

## Errors

If any of the arguments is not valid, then an EConvertError exception is raised.

## See also

EncodeDateMonthWeek |  | Encodes a year, month, week of month and day of week to a DateTime value
DecodeDateDay |  | Decode a DateTime value in year and year of day.
EncodeDateTime |  | Encodes a DateTime value from all its parts
EncodeDateWeek |  | Encode a TDateTime value from a year, week and day of week triplet
TryEncodeDateTime |  | Encode a Year, Month, Day, Hour, minute, seconds, milliseconds tuplet to a TDateTime value
TryEncodeDateMonthWeek |  | Encode a year, month, week of month and day of week to a TDateTime value
TryEncodeDateWeek |  | Encode a year, week and day of week triplet to a TDateTime value

Documentation generated on: Feb 26 2014